package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.MallUserAction;
import com.iformall.domain.vo.MallUserActionVo;

public interface MallUserActionService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<MallUserActionVo> listAsPage(MallUserActionVo record, Integer pageIndex, Integer pageSize);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    MallUserAction getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(MallUserAction record);

    void saveActionInfo(String tenantId, Integer actionType, String ipAddress, Long userId, String actionDesc);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


}
